Bug 443947 - X-server crashes (Intel) on enabling desktop effects in kwin
X-server crashes (Intel) on enabling desktop effects in kwin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 05:38 EDT by Ari Tilli
Modified: 2009-07-14 13:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.old log after crash. (23.98 KB, text/plain)
2008-04-24 05:38 EDT, Ari Tilli
no flags Details
/sbin/lspci -vn (3.83 KB, text/plain)
2008-04-29 06:33 EDT, Ari Tilli
no flags Details

  None (edit)
Description Ari Tilli 2008-04-24 05:38:32 EDT
Description of problem:
X-server crashes immediately after enabling desktop-effects in KDE.

Version-Release number of selected component (if applicable):
1.4.99.901-23.20080415.fc9.i386

How reproducible:
Always (done 5 times)

Steps to Reproduce:
1. Enable desktop effects in kde-settings.
2. Press apply

Actual results:
In a second X crashes.

Expected results:
Some bling bling to be visible.

Additional info: See bug 243587 , this is though on intel (865G says glxinfo)
This is (a gray) machine at work so can not do much for additional info.
Comment 1 Ari Tilli 2008-04-24 05:38:32 EDT
Created attachment 303607 [details]
.old log after crash.
Comment 2 Ari Tilli 2008-04-29 06:33:25 EDT
Created attachment 304095 [details]
/sbin/lspci -vn
Comment 3 Bug Zapper 2008-05-14 06:03:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Antonio Bulgheroni 2008-06-01 11:36:35 EDT
Same happening here. 

As soon as I apply the desktop effects the X server crashes and I'm not able to
login in KDE anymore, because it crashes immediately. 

This is my video card:
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 03)
Comment 5 Antonio Bulgheroni 2008-06-14 08:39:43 EDT
I saw in Koji that they are testing 2.2.1-25. Did anybody try it? Is this fixing
the bug?
Comment 6 Antonio Bulgheroni 2008-07-12 04:52:32 EDT
Same problem with the new xorg-x11-drv-i810-2.3.2-2.fc9.i386 and the very last
version of KWin.

Any news? 
Comment 7 Antonio Bulgheroni 2008-07-12 06:03:31 EDT
Ok! After a deeper search on the web, I've found the solution (keeping all the
fingers crossed!) for my problem. I had to modify my xorg.conf according to the
KWin release note.

You can find this document at the following URL:
http://websvn.kde.org/*checkout*/trunk/KDE/kdebase/workspace/kwin/COMPOSITE_HOWTO

thanks
Comment 8 Bug Zapper 2009-06-09 20:24:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:38:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.